FROM grpc/cxx:latest

ENV DEBIAN_FRONTEND=noninteractive
ENV SOURCE_DIR=/opt/audec_grpc
ENV BUILD_DIR=${SOURCE_DIR}/build

RUN apt-get update -qq && \
  apt-get -y -qq --no-install-recommends install \
  apt-transport-https \
  python3 \
  python3-pip \
  ninja-build \
  clang

# was getting this error, setuptools ships out of date
# https://github.com/googleapis/google-cloud-python/issues/3884#issuecomment-325161411
RUN pip3 install --upgrade setuptools && \
  pip3 install meson -q

WORKDIR ${SOURCE_DIR}
